MRTG-TRAFFIC-SUM(1)

NAME
mrtg-traffic-sum - Builds monthly traffic summary from mrtg log files

SYNOPSIS
mrtg-traffic-sum [options...] config-file

     --man           show man-page and exit
 -h, --help          display this help and exit
     --version       output version information and exit
     --catch=regexp  filter out things that match this in PageTop
     --email=address email the result
     --min=gigabytes minimal number of gigabites required for report
     --range=<when>  Specify "current" for month-to-date, "previous" for last complete month
     --units=[GB|MB] Display results in gigabytes (default is MB)

DESCRIPTION
The mrtg-traffic-sum goes through the mrtg logs for the targets in the the config file specified and builds the traffic total for the last month in Giga Bytes. (Note in communications Giga is 10^9).

The result of this analysis can be sent via email to an address of your choice using the --email option.

With the --catch option you can specify a regular expression which will be matched against the contents of the PageTop settings. The regular expression should return a value into $1 and possibly into $2. This will then be used as description for the appropriate traffic sum. By default the catch is set to:

 (?:description|port name):</td>\s*<td>\s*([^< ]*?[^<]*?)\s*</td

By default, all traffic which is over one megabyte gets reported. Use the --min switch to change this number.

COPYRIGHT
Copyright (c) 2002 by Tobias Oetiker. All rights reserved.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
Tobias Oetiker <tobi@oetiker.ch>, Keith Dunnett <keith@dunnett.name>

HISTORY
 2002-07-13 to Initial Version
 2009-12-38 kd New features